
# undo changes to root logger
# report errors to stdout, cluster log, and libs.log
rootLogger = ERROR, stdlog, clustertmplog, libslog

# undo changes to default logger for FNZ Studio
# report warnings to stdout, cluster log, error.log, and debug.log
# do not pass log messages to loggers above (no additivity)
log4j.logger.com.nm = WARN, stdlog, clustertmplog, errlog, dbglog
log4j.additivity.com.nm = false

# ------------------------------------------------------------------- appenders

# undo changes to console appender for stdout
appender.stdlog.layout.pattern = %d %-5p [%t] %c - %m%n%throwable

# remove new FNZ Studio application.log
appender.applog.type = TO_BE_REMOVED
appender.applog.name = TO_BE_REMOVED
appender.applog.fileName = TO_BE_REMOVED
appender.applog.filePattern = TO_BE_REMOVED
appender.applog.strategy.type = TO_BE_REMOVED
appender.applog.strategy.max = TO_BE_REMOVED
appender.applog.strategy.fileIndex = TO_BE_REMOVED
appender.applog.policy.type = TO_BE_REMOVED
appender.applog.policy.1.type = TO_BE_REMOVED
appender.applog.policy.2.type = TO_BE_REMOVED
appender.applog.policy.2.size = TO_BE_REMOVED
appender.applog.layout.type = TO_BE_REMOVED
appender.applog.layout.pattern = TO_BE_REMOVED

# restore old FNZ Studio debug.log
appender.dbglog.type = RollingFile
appender.dbglog.name = dbglog
appender.dbglog.fileName = ${nm.data.home}/logs/debug.log
appender.dbglog.filePattern = ${nm.data.home}/logs/debug.log.%i
appender.dbglog.strategy.type = DefaultRolloverStrategy
appender.dbglog.strategy.max = 4
appender.dbglog.strategy.fileIndex = min
appender.dbglog.policy.type = SizeBasedTriggeringPolicy
appender.dbglog.policy.size = 4MB
appender.dbglog.layout.type = PatternLayout
appender.dbglog.layout.pattern = %d %-5p [%t] %c - %m%n%throwable

# restore old FNZ Studio error.log
appender.errlog.type = RollingFile
appender.errlog.name = errlog
appender.errlog.fileName = ${nm.data.home}/logs/error.log
appender.errlog.filePattern = ${nm.data.home}/logs/error.log.%d{yyyy-MM-dd}
appender.errlog.strategy.type = DefaultRolloverStrategy
appender.errlog.strategy.fileIndex = nomax
appender.errlog.policy.type = TimeBasedTriggeringPolicy
appender.errlog.filter.threshold.type = ThresholdFilter
appender.errlog.filter.threshold.level = INFO
appender.errlog.layout.type = PatternLayout
appender.errlog.layout.pattern = %d %-5p [%t] %c - %m%n%throwable

# restore old FNZ Studio libs.log
appender.libslog.type = RollingFile
appender.libslog.name = libslog
appender.libslog.fileName = ${nm.data.home}/logs/libs.log
appender.libslog.filePattern = ${nm.data.home}/logs/libs.log.%i
appender.libslog.strategy.type = DefaultRolloverStrategy
appender.libslog.strategy.max = 4
appender.libslog.strategy.fileIndex = min
appender.libslog.policy.type = SizeBasedTriggeringPolicy
appender.libslog.policy.size = 4MB
appender.libslog.layout.type = PatternLayout
appender.libslog.layout.pattern = %d %-5p [%t] %c - %m%n%throwable

# undo changes to FNZ Studio locks.log
appender.lockslog.filePattern = ${nm.data.home}/logs/locks.log.%i
appender.lockslog.strategy.fileIndex = min
appender.lockslog.layout.pattern = %d %-5p [%t] %c - %m%n%throwable

# undo changes to FNZ Studio jobs.log
appender.joblog.filePattern = ${nm.data.home}/logs/jobs.log.%d{yyyy-MM-dd}
appender.joblog.layout.pattern = %d %-5p - [%t] %m%n%throwable

# undo changes to log for anonymous users tracking (aut)
appender.autlog.filePattern = ${nm.data.home}/logs/licensing/anonymous-users.log.%d{yyyy-MM-dd}
appender.autlog.layout.pattern = %d %m%n

# undo changes to log for calltree tracing
appender.tracing-calltrees.filePattern = ${nm.data.home}/logs/tracing-calltrees.log.%d{yyyy-MM-dd}
appender.tracing-calltrees.layout.pattern = %d %m%n

# undo changes to log for request tracing
appender.tracing-requests.filePattern = ${nm.data.home}/logs/tracing-requests.log.%d{yyyy-MM-dd}
